# Tomcat
server: 
  port: 9200

# Spring
spring: 
  application:
    # 应用名称
    name: boman-auth
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 192.168.101.10:8848
        namespace: 0886e975-9ff6-4602-8ed2-f17b4d0ef1bc  #潜山数据局
      config:
        # 配置中心地址
        server-addr: 192.168.101.10:8848
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
        namespace: 0886e975-9ff6-4602-8ed2-f17b4d0ef1bc  #潜山数据局
justauth:
  enabled: true
  type:
    WECHAT_OPEN:
      client-id: wxbd7b37548b5433ea
      client-secret: 1a3c713279e80163ae1e39b0713ca711
      redirect-uri: http://tx.xhsoftware.cn:9070/oauth/WECHAT_OPEN/callback
  cache:
    type: redis
    prefix: 'SOCIAL::STATE::'
    timeout: 1h
